what is the compatible version of High Sierra?

New Here ,
Mar 09, 2022 Mar 09, 2022

Copy link to clipboard

Copied

I'm going to install Photoshop and Lightroom on an old Mac.

The Mac version is High Sierra. the creative cloud app is installed, but other programs can not be installed. I wonder if it is compatible until the 2019 version.

TOPICS
Creative Cloud , Installation

Views

82

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Mar 09, 2022 Mar 09, 2022

Copy link to clipboard

Copied

Adobe now offers the current and ONE older version via the online program manager
.
I do not know how far back this process will go, but try this link
-NOTE that you will have to search the site for your specific download
Direct Download Links https://prodesigntools.com/tag/ddl MAY help
-you MUST do what it says in Note: Very Important Instructions
-https://prodesigntools.com/adobe-cc-2015-direct-download-links.html#download-instructions
-the prodesign links go directly to Adobe's file server, so this process will
--only work until Adobe completely removes the old version(s) from the server
.
IF/When you do have a download, be sure to copy it to AT LEAST one external device
-since Adobe does sometimes remove old versions from the server
-a usb flash drive or external hard drive, or write to a DVD

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Mar 10, 2022 Mar 10, 2022

Copy link to clipboard

Copied

LATEST

As John points out, the most recent versions of Creative Cloud (2022 and 2021) do not support macOS v10.13 "High Sierra"...

 

The last version which fully supported it was the 2020 release. 2019 of course will also work fine. The link John posted above can help you get older versions of the software which will run on High Sierra.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines